SurfaceType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum SurfaceType

    java.lang.Object
      java.lang.Enum<SurfaceType>
          net.ctdp.rfdynhud.gamedata.SurfaceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SurfaceType>

    public enum SurfaceType

extends java.lang.Enum<SurfaceType>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`DIRTY`
`DRY`
`GRASS`
`GRAVEL`
`RUMBLESTRIP`
`WET`

Method Summary
`static SurfaceType` | `getFromIndex(short index)`
`static SurfaceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SurfaceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DRY

    public static final SurfaceType DRY

### WET

    public static final SurfaceType WET

### GRASS

    public static final SurfaceType GRASS

### DIRTY

    public static final SurfaceType DIRTY

### GRAVEL

    public static final SurfaceType GRAVEL

### RUMBLESTRIP

    public static final SurfaceType RUMBLESTRIP

Method Detail

### values

    public static SurfaceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SurfaceType c : SurfaceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SurfaceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFromIndex

    public static final SurfaceType getFromIndex(short index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD